/*
 File: test_use_cnt.cpp
 Date and Time: Mon Oct 13 18:18:15 2014 
*/
#include "test_use_cnt.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_test_use_cnt;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  CTS_la1::
  CTS_la1()
    :yacco2::CAbs_fsm
      ("test_use_cnt.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,true
      ,"end-of-line recognizer"
      ,"Mon Oct 13 18:18:15 2014 "
      ,S1_CTS_la1){
    
  }
 
CTS_la1::~CTS_la1(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool CTS_la1::failed(){
      return false;
  }
  void CTS_la1::op(){
}
int CTS_la1::rhs_to_rules_mapping_[6] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,2 // subrule 3 for rule 3
 ,3 // subrule 4 for rule 4
 ,3 // subrule 5 for rule 4
}; 
Rtest_use_cnt::Rtest_use_cnt(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rtest_use_cnt",0,CTS_la1::R_Rtest_use_cnt_,P,true,true){
}

Rxx::Rxx(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rxx",0,CTS_la1::R_Rxx_,P,true,true){
}

Rxxx::Rxxx(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rxxx",0,CTS_la1::R_Rxxx_,P,true,true){
}

Ra::Ra(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ra",0,CTS_la1::R_Ra_,P,true,true){
}

